﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication107
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = CreateDataSet();
        }

        public static DataSet CreateDataSet()
        {
            // create a DataSet with one table, two columns
            DataSet dataSet = new DataSet();

            // create Customer table
            DataTable table = new DataTable("Customers");
            dataSet.Tables.Add(table);
            table.Columns.Add("customerId", typeof(int)).AutoIncrement = true;
            table.Columns.Add("name", typeof(string));
            table.PrimaryKey = new DataColumn[] { table.Columns["customerId"] };

            // create Orders table
            table = new DataTable("Orders");
            dataSet.Tables.Add(table);
            table.Columns.Add("orderId", typeof(int)).AutoIncrement = true;
            table.Columns.Add("customerId", typeof(int));
            table.Columns.Add("amount", typeof(double));
            table.PrimaryKey = new DataColumn[] { table.Columns["orderId"] };

            // create relation
            dataSet.Relations.Add(dataSet.Tables["Customers"].Columns["customerId"],
                dataSet.Tables["Orders"].Columns["customerId"]);

            // populate the tables
            int orderId = 1;
            for (int customerId = 1; customerId <= 10; customerId++)
            {
                // add customer record
                dataSet.Tables["Customers"].Rows.Add(
                    new object[] { customerId, 
                string.Format("customer{0}", customerId) });

                // add 5 order records for each customer
                for (int i = 1; i <= 5; i++)
                {
                    dataSet.Tables["Orders"].Rows.Add(
                        new object[] { orderId++, customerId, orderId * 10 });
                }
            }

            return dataSet;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.AllowAddNew = Infragistics.Win.UltraWinGrid.AllowAddNew.TemplateOnBottom;
        }
    }
}
